/********************************************************************
 *
 *  fl_self.h
 *
 *  This is definition file of FLS function for S1C17V01.
 *
 *  history : 2012/10/10    start
 *
 ********************************************************************/
#ifndef FL_SELF_H_
#define FL_SELF_H_

// Prototype
extern  int flash_erase(char * flsTopAdd, unsigned short startSct, unsigned short endSct);
extern  int flash_load(char * loadAdd, unsigned short loadSize, unsigned char* pData);

// Error code define
#define	FLS_E_SUCCESS				 (0)	// Successful
#define	FLS_E_PROGRAM_COUNT_OVER_ERR (1)	// Flash program count error
#define	FLS_E_INVALID_INITDATA_ERR   (2)	// Flash write initialize data error
#define	FLS_E_STRAT_SCT_ERR			 (3)	// Flash erase start sector error
#define	FLS_E_END_SCT_ERR			 (4)	// Flash erase end sector error
#define	FLS_E_TOP_ADDRESS_ERR		 (5)	// Flash memory top address error

#endif /*FL_SELF_H_*/
